SplFileObject::current
SplFileObject::fflush
SplFileObject
PHP Manual

# SplFileObject::eof

Reached end of file

### Description

public bool SplFileObject::eof ( void )

Determine whether the end of file has been reached

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if file is at EOF, `FALSE` otherwise.

### Examples

Example #1 SplFileObject::eof example

`<?php
$file = new SplFileObject("fruits.txt");
while ( ! $file->eof()) {
echo $file->fgets();
}
?>`

The above example will output something similar to:

    apple
    banana
    cherry
    date
    elderberry

### See Also

- SplFileObject::valid
- feof